import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});const billsToPays = await conductor.qbd.billsToPay.list({ vendorId: '80000001-1234567890', conductorEndUserId: 'end_usr_1234567abcdefg',});console.log(billsToPays.data);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
bills_to_pays = conductor.qbd.bills_to_pay.list(
vendor_id="80000001-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(bills_to_pays.data)
List bills and credits available to pay for a vendor
Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill’s applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill’s remaining amount due.
NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.
GET
/
quickbooks-desktop
/
bills-to-pay
JavaScript
import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});const billsToPays = await conductor.qbd.billsToPay.list({ vendorId: '80000001-1234567890', conductorEndUserId: 'end_usr_1234567abcdefg',});console.log(billsToPays.data);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
bills_to_pays = conductor.qbd.bills_to_pay.list(
vendor_id="80000001-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(bills_to_pays.data)
Filter for open bills and available credits assigned to this Accounts-Payable account. If omitted, QuickBooks Desktop uses the default A/P account configured in the company file.
Filter the bill branch to open bills due on or before this date, in ISO 8601 format (YYYY-MM-DD). If omitted, QuickBooks Desktop returns open bills from all due dates. Available credits can still be returned because credits do not have a due date.
The array of bills-to-pay records. Each record has either a bill object or a credit object, and the other branch is null.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Blog","href":"https://conductor.is/blog"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af25c06497482a9629d0346","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":26},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/bills-to-pay/list","slug":"/api-ref/qbd/bills-to-pay/list","pageMetadata":{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","description":"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each `bill.billId` as `applyToTransactions[].transactionId` in bill-payment requests. To apply a returned credit, place it under the target bill's `applyToTransactions[].applyCredits[]` entry, set `creditTransactionId` to `credit.creditTransactionId`, and choose an `appliedAmount` that does not exceed `credit.creditRemaining` or the target bill's remaining amount due.\n\n**NOTE:** QuickBooks Desktop does not support pagination for bills to pay; hence, there is no `cursor` parameter. Users typically have few bills to pay.","href":"/api-ref/qbd/bills-to-pay/list"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each \", _jsx(_components.code, {\n children: \"bill.billId\"\n }), \" as \", _jsx(_components.code, {\n children: \"applyToTransactions[].transactionId\"\n }), \" in bill-payment requests. To apply a returned credit, place it under the target bill’s \", _jsx(_components.code, {\n children: \"applyToTransactions[].applyCredits[]\"\n }), \" entry, set \", _jsx(_components.code, {\n children: \"creditTransactionId\"\n }), \" to \", _jsx(_components.code, {\n children: \"credit.creditTransactionId\"\n }), \", and choose an \", _jsx(_components.code, {\n children: \"appliedAmount\"\n }), \" that does not exceed \", _jsx(_components.code, {\n children: \"credit.creditRemaining\"\n }), \" or the target bill’s remaining amount due.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"NOTE:\"\n }), \" QuickBooks Desktop does not support pagination for bills to pay; hence, there is no \", _jsx(_components.code, {\n children: \"cursor\"\n }), \" parameter. Users typically have few bills to pay.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","description":"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each `bill.billId` as `applyToTransactions[].transactionId` in bill-payment requests. To apply a returned credit, place it under the target bill's `applyToTransactions[].applyCredits[]` entry, set `creditTransactionId` to `credit.creditTransactionId`, and choose an `appliedAmount` that does not exceed `credit.creditRemaining` or the target bill's remaining amount due.\n\n**NOTE:** QuickBooks Desktop does not support pagination for bills to pay; hence, there is no `cursor` parameter. Users typically have few bills to pay.","href":"/api-ref/qbd/bills-to-pay/list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"List bills and credits available to pay for a vendor","description":"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each `bill.billId` as `applyToTransactions[].transactionId` in bill-payment requests. To apply a returned credit, place it under the target bill's `applyToTransactions[].applyCredits[]` entry, set `creditTransactionId` to `credit.creditTransactionId`, and choose an `appliedAmount` that does not exceed `credit.creditRemaining` or the target bill's remaining amount due.\n\n**NOTE:** QuickBooks Desktop does not support pagination for bills to pay; hence, there is no `cursor` parameter. Users typically have few bills to pay.","security":["f02c4d15-ea7a-4531-a648-e40d522ae44f"],"parameters":["fd4bd03d-ddf3-4681-8e63-ccecdd5d2f55","6d1bcec2-4535-44ef-a645-b85ea84f5616","02857404-3d77-47aa-9460-32d2797aa78a","2fc9bd4d-24e3-4df3-8260-1fbce9d13005","b29a58ca-243c-4460-9673-4f3f4841beb4"],"responses":{"200":"b19e3e8f-1b4e-4fca-bc13-5610193862a3"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst billsToPays = await conductor.qbd.billsToPay.list({\n vendorId: '80000001-1234567890',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(billsToPays.data);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nbills_to_pays = conductor.qbd.bills_to_pay.list(\n vendor_id=\"80000001-1234567890\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(bills_to_pays.data)"}],"method":"get","type":"path","servers":["2a13bbae-2065-46a5-9367-c0b666b73097"],"path":"/quickbooks-desktop/bills-to-pay","baseUrlOptions":["https://api.conductor.is/v1"],"title":"List bills and credits available to pay for a vendor","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst billsToPays = await conductor.qbd.billsToPay.list({\n vendorId: '80000001-1234567890',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(billsToPays.data);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nbills_to_pays = conductor.qbd.bills_to_pay.list(\n vendor_id=\"80000001-1234567890\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(bills_to_pays.data)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"fd4bd03d-ddf3-4681-8e63-ccecdd5d2f55":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"6d1bcec2-4535-44ef-a645-b85ea84f5616":{"in":"query","name":"vendorId","schema":{"type":"string","maxLength":36,"description":"The vendor whose open bills and available credits should be returned.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The vendor whose open bills and available credits should be returned."},"02857404-3d77-47aa-9460-32d2797aa78a":{"in":"query","name":"payablesAccountId","schema":{"description":"Filter for open bills and available credits assigned to this Accounts-Payable account. If omitted, QuickBooks Desktop uses the default A/P account configured in the company file.","example":"80000001-1234567890","type":"string","maxLength":36,"uniqueKey":"","typeLabel":"string"},"description":"Filter for open bills and available credits assigned to this Accounts-Payable account. If omitted, QuickBooks Desktop uses the default A/P account configured in the company file."},"2fc9bd4d-24e3-4df3-8260-1fbce9d13005":{"in":"query","name":"dueDate","schema":{"description":"Filter the bill branch to open bills due on or before this date, in ISO 8601 format (YYYY-MM-DD). If omitted, QuickBooks Desktop returns open bills from all due dates. Available credits can still be returned because credits do not have a due date.","example":"2025-02-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter the bill branch to open bills due on or before this date, in ISO 8601 format (YYYY-MM-DD). If omitted, QuickBooks Desktop returns open bills from all due dates. Available credits can still be returned because credits do not have a due date."},"b29a58ca-243c-4460-9673-4f3f4841beb4":{"in":"query","name":"currencyIds","schema":{"description":"Filter for open bills and available credits in these currencies.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for open bills and available credits in these currencies."}},"responses":{"b19e3e8f-1b4e-4fca-bc13-5610193862a3":{"description":"Returns open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"objectType":{"description":"The type of object. This value is always `\"list\"`.","example":"list","type":"string","const":"list","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"url":{"type":"string","description":"The endpoint URL where this list can be accessed.","example":"/v1/quickbooks-desktop/bills-to-pay","isRequired":true,"uniqueKey":"url","typeLabel":"string"},"data":{"type":"array","items":{"type":"object","properties":{"bill":{"oneOf":[{"type":"object","title":"The Payable Bill object","description":"The open bill with a positive amount due that can be paid for the requested vendor. In each bills-to-pay result, either `bill` is an object and `credit` is `null`, or `credit` is an object and `bill` is `null`.","required":["billId","transactionType","payablesAccount","transactionDate","refNumber","dueDate","amountDue","currency","exchangeRate","amountDueInHomeCurrency"],"x-conductor-object-type":"nested","properties":{"billId":{"type":"string","maxLength":36,"description":"The ID of the open bill available to pay. Pass this value as `transactionId` in a bill-payment `applyToTransactions` entry.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.billId","typeLabel":"string"},"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction for this payable bill.","example":"bill","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.transactionType","typeLabel":"enum\u003cstring>"},"payablesAccount":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount.fullName","typeLabel":"string | null"}},"required":["id","fullName"],"additionalProperties":false,"description":"The Accounts-Payable (A/P) account to which this payable bill is assigned, used for accounts-payable tracking.\n\n**IMPORTANT**: If this payable bill is linked to other transactions, this A/P account must match the `payablesAccount` used in those other transactions.","example":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.payablesAccount","typeLabel":"object"},"transactionDate":{"type":"string","format":"date","description":"The date of this payable bill, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this payable bill, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"BILL-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this payable bill, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"BILL-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.refNumber","typeLabel":"string | null"},"dueDate":{"oneOf":[{"type":"string","description":"The date by which this payable bill must be paid, in ISO 8601 format (YYYY-MM-DD).","format":"date","example":"2024-10-31T00:00:00.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.dueDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The date by which this payable bill must be paid, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-31T00:00:00.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.dueDate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.dueDate","typeLabel":"string\u003cdate> | null"},"amountDue":{"type":"string","description":"The amount QuickBooks Desktop reports as due and available to pay for this open bill, represented as a decimal string. Use this value as the candidate `applyToTransactions[].paymentAmount` when creating a bill payment; reduce the payment by any credits you apply.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.amountDue","typeLabel":"string"},"currency":{"oneOf":[{"type":"object","description":"The payable bill's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The payable bill's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.currency","typeLabel":"object | null"},"exchangeRate":{"oneOf":[{"type":"number","description":"The market exchange rate between this payable bill's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.exchangeRate.oneOf.0","typeLabel":"number"},{"type":"null","description":"The market exchange rate between this payable bill's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.exchangeRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.exchangeRate","typeLabel":"number | null"},"amountDueInHomeCurrency":{"oneOf":[{"type":"string","description":"The monetary amount due for this payable bill converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.amountDueInHomeCurrency.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount due for this payable bill converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.amountDueInHomeCurrency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0.amountDueInHomeCurrency","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.0","typeLabel":"The Payable Bill object · object"},{"type":"null","description":"The open bill with a positive amount due that can be paid for the requested vendor. In each bills-to-pay result, either `bill` is an object and `credit` is `null`, or `credit` is an object and `bill` is `null`.","isRequired":true,"uniqueKey":"data.items.[INDEX].bill.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bill","typeLabel":"The Payable Bill object · object | null"},"credit":{"oneOf":[{"type":"object","title":"The Applicable Credit object","description":"The vendor credit linked to the requested vendor that can be applied to open bills. In each bills-to-pay result, either `credit` is an object and `bill` is `null`, or `bill` is an object and `credit` is `null`.","required":["creditTransactionId","transactionType","payablesAccount","transactionDate","refNumber","creditRemaining","currency","exchangeRate","creditRemainingInHomeCurrency"],"x-conductor-object-type":"nested","properties":{"creditTransactionId":{"type":"string","maxLength":36,"description":"The ID of the credit transaction available to apply to the vendor's open bills. To apply this credit in a bill-payment request, place it under the target bill's `applyToTransactions[].applyCredits[]` entry and pass this value as `creditTransactionId`.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.creditTransactionId","typeLabel":"string"},"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction for this applicable credit.","example":"vendor_credit","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.transactionType","typeLabel":"enum\u003cstring>"},"payablesAccount":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount.fullName","typeLabel":"string | null"}},"required":["id","fullName"],"additionalProperties":false,"description":"The Accounts-Payable (A/P) account to which this applicable credit is assigned, used for accounts-payable tracking.\n\n**IMPORTANT**: If this applicable credit is linked to other transactions, this A/P account must match the `payablesAccount` used in those other transactions.","example":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.payablesAccount","typeLabel":"object"},"transactionDate":{"type":"string","format":"date","description":"The date of this applicable credit, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this applicable credit, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"CREDIT-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this applicable credit, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"CREDIT-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.refNumber","typeLabel":"string | null"},"creditRemaining":{"type":"string","description":"The remaining vendor credit available to apply to open bills, represented as a decimal string. When applying this credit to a bill-payment request, choose an `applyToTransactions[].applyCredits[].appliedAmount` that does not exceed this value or the target bill's remaining amount due.","example":"25.11","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.creditRemaining","typeLabel":"string"},"currency":{"oneOf":[{"type":"object","description":"The applicable credit's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The applicable credit's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.currency","typeLabel":"object | null"},"exchangeRate":{"oneOf":[{"type":"number","description":"The market exchange rate between this applicable credit's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.exchangeRate.oneOf.0","typeLabel":"number"},{"type":"null","description":"The market exchange rate between this applicable credit's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.exchangeRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.exchangeRate","typeLabel":"number | null"},"creditRemainingInHomeCurrency":{"oneOf":[{"type":"string","description":"The remaining balance of this applicable credit converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"25.11","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.creditRemainingInHomeCurrency.oneOf.0","typeLabel":"string"},{"type":"null","description":"The remaining balance of this applicable credit converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"25.11","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.creditRemainingInHomeCurrency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0.creditRemainingInHomeCurrency","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.0","typeLabel":"The Applicable Credit object · object"},{"type":"null","description":"The vendor credit linked to the requested vendor that can be applied to open bills. In each bills-to-pay result, either `credit` is an object and `bill` is `null`, or `bill` is an object and `credit` is `null`.","isRequired":true,"uniqueKey":"data.items.[INDEX].credit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].credit","typeLabel":"The Applicable Credit object · object | null"}},"required":["bill","credit"],"additionalProperties":false,"title":"The Bill To Pay object","x-conductor-object-type":"transaction","x-conductor-sidebar-group-name":"Bills to Pay","summary":"Bills to pay are open vendor bills and available vendor credits returned by QuickBooks Desktop for a specific vendor. Use these records when deciding which bills and credits to include in bill check payments or bill credit card payments.","uniqueKey":"data.items.[INDEX]","typeLabel":"The Bill To Pay object · object"},"description":"The array of bills-to-pay records. Each record has either a `bill` object or a `credit` object, and the other branch is `null`.","isRequired":true,"uniqueKey":"data","typeLabel":"The Bill To Pay object · object[]"}},"required":["objectType","url","data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"objectType":"list","url":"/v1/quickbooks-desktop/bills-to-pay","data":[{"bill":{"billId":"123ABC-1234567890","transactionType":"bill","payablesAccount":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"transactionDate":"2024-10-01","refNumber":"BILL-1234","dueDate":"2024-10-31T00:00:00.000Z","amountDue":"1000.00","currency":{"id":"80000001-1234567890","fullName":"USD"},"exchangeRate":1.2345,"amountDueInHomeCurrency":"1234.56"},"credit":{"creditTransactionId":"123ABC-1234567890","transactionType":"vendor_credit","payablesAccount":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"transactionDate":"2024-10-01","refNumber":"CREDIT-1234","creditRemaining":"25.11","currency":{"id":"80000001-1234567890","fullName":"USD"},"exchangeRate":1.2345,"creditRemainingInHomeCurrency":"25.11"}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"f02c4d15-ea7a-4531-a648-e40d522ae44f":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"2a13bbae-2065-46a5-9367-c0b666b73097":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"List bills and credits available to pay for a vendor - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-03T01:48:43.313Z","originalFileLocation":"api-ref/qbd/bills-to-pay/list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill\u0026#x27;s applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill\u0026#x27;s remaining amount due. NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List bills and credits available to pay for a vendor - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill\u0026#x27;s applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill\u0026#x27;s remaining amount due. NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.site/_mintlify/api/og/v2?division=Bills+to+Pay\u0026amp;title=List+bills+and+credits+available+to+pay+for+a+vendor\u0026amp;description=Lists+open+vendor+bills+and+available+vendor+credits+for+a+specific+QuickBooks+Desktop+vendor.+Use+each+%60bill.billId%60+as+%60applyToTransactions%5B%5D.transactionId%60+i\u0026amp;theme=42320a3ef0ac6e9c3e1cc593\u0026amp;signature=a7d7ea94ae41d2c0674cc964cdabeef2770653c8fc1073064801b63ed4facc5a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List bills and credits available to pay for a vendor - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill\u0026#x27;s applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill\u0026#x27;s remaining amount due. NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.site/_mintlify/api/og/v2?division=Bills+to+Pay\u0026amp;title=List+bills+and+credits+available+to+pay+for+a+vendor\u0026amp;description=Lists+open+vendor+bills+and+available+vendor+credits+for+a+specific+QuickBooks+Desktop+vendor.+Use+each+%60bill.billId%60+as+%60applyToTransactions%5B%5D.transactionId%60+i\u0026amp;theme=42320a3ef0ac6e9c3e1cc593\u0026amp;signature=a7d7ea94ae41d2c0674cc964cdabeef2770653c8fc1073064801b63ed4facc5a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/bills-to-pay/list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list\",\"name\":\"List bills and credits available to pay for a vendor\",\"description\":\"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill's applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill's remaining amount due. NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.\",\"dateModified\":\"2026-06-03T01:48:43.313Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Transactions\",\"item\":\"https://docs.conductor.is/api-ref/qbd/transactions/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Bills to Pay\",\"item\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List bills and credits available to pay for a vendor\",\"item\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list#apireference\",\"headline\":\"List bills and credits available to pay for a vendor\",\"name\":\"List bills and credits available to pay for a vendor\",\"description\":\"Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill's applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill's remaining amount due. NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/bills-to-pay/list#webpage\"},\"dateModified\":\"2026-06-03T01:48:43.313Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Conductor Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-ref/qbd/bills-to-pay/list.md","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","href":"/api-ref/qbd/bill-check-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}/void","title":"Void a bill check payment","href":"/api-ref/qbd/bill-check-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-check-payments/{id}","title":"Delete a bill check payment","href":"/api-ref/qbd/bill-check-payments/delete"}]},{"group":"Bill Credit Card Payments","pages":[{"title":"The Bill Credit Card Payment object","href":"/api-ref/qbd/bill-credit-card-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments","title":"Create a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/create"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Retrieve a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments","title":"List all bill credit card payments","href":"/api-ref/qbd/bill-credit-card-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments/{id}/void","title":"Void a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Delete a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/delete"}]},{"group":"Bills","pages":[{"title":"The Bill object","href":"/api-ref/qbd/bills/object"},{"openapi":"POST /quickbooks-desktop/bills","title":"Create a bill","href":"/api-ref/qbd/bills/create"},{"openapi":"POST /quickbooks-desktop/bills/{id}","title":"Update a bill","href":"/api-ref/qbd/bills/update"},{"openapi":"GET /quickbooks-desktop/bills/{id}","title":"Retrieve a bill","href":"/api-ref/qbd/bills/retrieve"},{"openapi":"GET /quickbooks-desktop/bills","title":"List all bills","href":"/api-ref/qbd/bills/list"},{"openapi":"POST /quickbooks-desktop/bills/{id}/void","title":"Void a bill","href":"/api-ref/qbd/bills/void"},{"openapi":"DELETE /quickbooks-desktop/bills/{id}","title":"Delete a bill","href":"/api-ref/qbd/bills/delete"}]},{"group":"Bills to Pay","pages":[{"title":"The Bill To Pay object","description":"Bills to pay are open vendor bills and available vendor credits returned by QuickBooks Desktop for a specific vendor. Use these records when deciding which bills and credits to include in bill check payments or bill credit card payments.","href":"/api-ref/qbd/bills-to-pay/object"},{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","href":"/api-ref/qbd/bills-to-pay/list"}]},{"group":"Build Assemblies","pages":[{"title":"The Build Assembly object","description":"A build assembly is a collection of items that are assembled to create a finished product. It is used to track the components and quantities of a product.","href":"/api-ref/qbd/build-assemblies/object"},{"openapi":"POST /quickbooks-desktop/build-assemblies","title":"Create a build assembly","href":"/api-ref/qbd/build-assemblies/create"},{"openapi":"POST /quickbooks-desktop/build-assemblies/{id}","title":"Update a build assembly","href":"/api-ref/qbd/build-assemblies/update"},{"openapi":"GET /quickbooks-desktop/build-assemblies/{id}","title":"Retrieve a build assembly","href":"/api-ref/qbd/build-assemblies/retrieve"},{"openapi":"GET /quickbooks-desktop/build-assemblies","title":"List all build assemblies","href":"/api-ref/qbd/build-assemblies/list"},{"openapi":"DELETE /quickbooks-desktop/build-assemblies/{id}","title":"Delete a build assembly","href":"/api-ref/qbd/build-assemblies/delete"}]},{"group":"Checks","pages":[{"title":"The Check object","href":"/api-ref/qbd/checks/object"},{"openapi":"POST /quickbooks-desktop/checks","title":"Create a check","href":"/api-ref/qbd/checks/create"},{"openapi":"POST /quickbooks-desktop/checks/{id}","title":"Update a check","href":"/api-ref/qbd/checks/update"},{"openapi":"GET /quickbooks-desktop/checks/{id}","title":"Retrieve a check","href":"/api-ref/qbd/checks/retrieve"},{"openapi":"GET /quickbooks-desktop/checks","title":"List all checks","href":"/api-ref/qbd/checks/list"},{"openapi":"POST /quickbooks-desktop/checks/{id}/void","title":"Void a check","href":"/api-ref/qbd/checks/void"},{"openapi":"DELETE /quickbooks-desktop/checks/{id}","title":"Delete a check","href":"/api-ref/qbd/checks/delete"}]},{"group":"Credit Card Charges","pages":[{"title":"The Credit Card Charge object","href":"/api-ref/qbd/credit-card-charges/object"},{"openapi":"POST /quickbooks-desktop/credit-card-charges","title":"Create a credit card charge","href":"/api-ref/qbd/credit-card-charges/create"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}","title":"Update a credit card charge","href":"/api-ref/qbd/credit-card-charges/update"},{"openapi":"GET /quickbooks-desktop/credit-card-charges/{id}","title":"Retrieve a credit card charge","href":"/api-ref/qbd/credit-card-charges/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-charges","title":"List all credit card charges","href":"/api-ref/qbd/credit-card-charges/list"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}/void","title":"Void a credit card charge","href":"/api-ref/qbd/credit-card-charges/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-charges/{id}","title":"Delete a credit card charge","href":"/api-ref/qbd/credit-card-charges/delete"}]},{"group":"Credit Card Credits","pages":[{"title":"The Credit Card Credit object","href":"/api-ref/qbd/credit-card-credits/object"},{"openapi":"POST /quickbooks-desktop/credit-card-credits","title":"Create a credit card credit","href":"/api-ref/qbd/credit-card-credits/create"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}","title":"Update a credit card credit","href":"/api-ref/qbd/credit-card-credits/update"},{"openapi":"GET /quickbooks-desktop/credit-card-credits/{id}","title":"Retrieve a credit card credit","href":"/api-ref/qbd/credit-card-credits/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-credits","title":"List all credit card credits","href":"/api-ref/qbd/credit-card-credits/list"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}/void","title":"Void a credit card credit","href":"/api-ref/qbd/credit-card-credits/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-credits/{id}","title":"Delete a credit card credit","href":"/api-ref/qbd/credit-card-credits/delete"}]},{"group":"Credit Card Refunds","pages":[{"title":"The Credit Card Refund object","href":"/api-ref/qbd/credit-card-refunds/object"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds","title":"Create a credit card refund","href":"/api-ref/qbd/credit-card-refunds/create"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds/{id}","title":"Retrieve a credit card refund","href":"/api-ref/qbd/credit-card-refunds/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds","title":"List all credit card refunds","href":"/api-ref/qbd/credit-card-refunds/list"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds/{id}/void","title":"Void a credit card refund","href":"/api-ref/qbd/credit-card-refunds/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-refunds/{id}","title":"Delete a credit card refund","href":"/api-ref/qbd/credit-card-refunds/delete"}]},{"group":"Credit Memos","pages":[{"title":"The Credit Memo object","href":"/api-ref/qbd/credit-memos/object"},{"openapi":"POST /quickbooks-desktop/credit-memos","title":"Create a credit memo","href":"/api-ref/qbd/credit-memos/create"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}","title":"Update a credit memo","href":"/api-ref/qbd/credit-memos/update"},{"openapi":"GET /quickbooks-desktop/credit-memos/{id}","title":"Retrieve a credit memo","href":"/api-ref/qbd/credit-memos/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-memos","title":"List all credit memos","href":"/api-ref/qbd/credit-memos/list"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}/void","title":"Void a credit memo","href":"/api-ref/qbd/credit-memos/void"},{"openapi":"DELETE /quickbooks-desktop/credit-memos/{id}","title":"Delete a credit memo","href":"/api-ref/qbd/credit-memos/delete"}]},{"group":"Deleted Transactions","pages":[{"title":"The Deleted Transaction object","href":"/api-ref/qbd/deleted-transactions/object"},{"openapi":"GET /quickbooks-desktop/deleted-transactions","title":"List all deleted transactions","href":"/api-ref/qbd/deleted-transactions/list"}]},{"group":"Deposits","pages":[{"title":"The Deposit object","href":"/api-ref/qbd/deposits/object"},{"openapi":"POST /quickbooks-desktop/deposits","title":"Create a deposit","href":"/api-ref/qbd/deposits/create"},{"openapi":"POST /quickbooks-desktop/deposits/{id}","title":"Update a deposit","href":"/api-ref/qbd/deposits/update"},{"openapi":"GET /quickbooks-desktop/deposits/{id}","title":"Retrieve a deposit","href":"/api-ref/qbd/deposits/retrieve"},{"openapi":"GET /quickbooks-desktop/deposits","title":"List all deposits","href":"/api-ref/qbd/deposits/list"},{"openapi":"POST /quickbooks-desktop/deposits/{id}/void","title":"Void a deposit","href":"/api-ref/qbd/deposits/void"},{"openapi":"DELETE /quickbooks-desktop/deposits/{id}","title":"Delete a deposit","href":"/api-ref/qbd/deposits/delete"}]},{"group":"Estimates","pages":[{"title":"The Estimate object","href":"/api-ref/qbd/estimates/object"},{"openapi":"POST /quickbooks-desktop/estimates","title":"Create an estimate","href":"/api-ref/qbd/estimates/create"},{"openapi":"POST /quickbooks-desktop/estimates/{id}","title":"Update an estimate","href":"/api-ref/qbd/estimates/update"},{"openapi":"GET /quickbooks-desktop/estimates/{id}","title":"Retrieve an estimate","href":"/api-ref/qbd/estimates/retrieve"},{"openapi":"GET /quickbooks-desktop/estimates","title":"List all estimates","href":"/api-ref/qbd/estimates/list"},{"openapi":"DELETE /quickbooks-desktop/estimates/{id}","title":"Delete an estimate","href":"/api-ref/qbd/estimates/delete"}]},{"group":"Inventory Adjustments","pages":[{"title":"The Inventory Adjustment object","href":"/api-ref/qbd/inventory-adjustments/object"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments","title":"Create an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/create"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}","title":"Update an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/update"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments/{id}","title":"Retrieve an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments","title":"List all inventory adjustments","href":"/api-ref/qbd/inventory-adjustments/list"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}/void","title":"Void an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/void"},{"openapi":"DELETE /quickbooks-desktop/inventory-adjustments/{id}","title":"Delete an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/delete"}]},{"group":"Invoices","pages":[{"title":"The Invoice object","href":"/api-ref/qbd/invoices/object"},{"openapi":"POST /quickbooks-desktop/invoices","title":"Create an invoice","href":"/api-ref/qbd/invoices/create"},{"openapi":"POST /quickbooks-desktop/invoices/{id}","title":"Update an invoice","href":"/api-ref/qbd/invoices/update"},{"openapi":"GET /quickbooks-desktop/invoices/{id}","title":"Retrieve an invoice","href":"/api-ref/qbd/invoices/retrieve"},{"openapi":"GET /quickbooks-desktop/invoices","title":"List all invoices","href":"/api-ref/qbd/invoices/list"},{"openapi":"POST /quickbooks-desktop/invoices/{id}/void","title":"Void an invoice","href":"/api-ref/qbd/invoices/void"},{"openapi":"DELETE /quickbooks-desktop/invoices/{id}","title":"Delete an invoice","href":"/api-ref/qbd/invoices/delete"}]},{"group":"Item Receipts","pages":[{"title":"The Item Receipt object","href":"/api-ref/qbd/item-receipts/object"},{"openapi":"POST /quickbooks-desktop/item-receipts","title":"Create an item receipt","href":"/api-ref/qbd/item-receipts/create"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}","title":"Update an item receipt","href":"/api-ref/qbd/item-receipts/update"},{"openapi":"GET /quickbooks-desktop/item-receipts/{id}","title":"Retrieve an item receipt","href":"/api-ref/qbd/item-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/item-receipts","title":"List all item receipts","href":"/api-ref/qbd/item-receipts/list"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}/void","title":"Void an item receipt","href":"/api-ref/qbd/item-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/item-receipts/{id}","title":"Delete an item receipt","href":"/api-ref/qbd/item-receipts/delete"}]},{"group":"Journal Entries","pages":[{"title":"The Journal Entry object","href":"/api-ref/qbd/journal-entries/object"},{"openapi":"POST /quickbooks-desktop/journal-entries","title":"Create a journal entry","href":"/api-ref/qbd/journal-entries/create"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}","title":"Update a journal entry","href":"/api-ref/qbd/journal-entries/update"},{"openapi":"GET /quickbooks-desktop/journal-entries/{id}","title":"Retrieve a journal entry","href":"/api-ref/qbd/journal-entries/retrieve"},{"openapi":"GET /quickbooks-desktop/journal-entries","title":"List all journal entries","href":"/api-ref/qbd/journal-entries/list"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}/void","title":"Void a journal entry","href":"/api-ref/qbd/journal-entries/void"},{"openapi":"DELETE /quickbooks-desktop/journal-entries/{id}","title":"Delete a journal entry","href":"/api-ref/qbd/journal-entries/delete"}]},{"group":"Payments to Deposit","pages":[{"title":"The Payment To Deposit object","href":"/api-ref/qbd/payments-to-deposit/object"},{"openapi":"GET /quickbooks-desktop/payments-to-deposit","title":"List all payments to deposit","href":"/api-ref/qbd/payments-to-deposit/list"}]},{"group":"Purchase Orders","pages":[{"title":"The Purchase Order object","href":"/api-ref/qbd/purchase-orders/object"},{"openapi":"POST /quickbooks-desktop/purchase-orders","title":"Create a purchase order","href":"/api-ref/qbd/purchase-orders/create"},{"openapi":"POST /quickbooks-desktop/purchase-orders/{id}","title":"Update a purchase order","href":"/api-ref/qbd/purchase-orders/update"},{"openapi":"GET /quickbooks-desktop/purchase-orders/{id}","title":"Retrieve a purchase order","href":"/api-ref/qbd/purchase-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/purchase-orders","title":"List all purchase orders","href":"/api-ref/qbd/purchase-orders/list"},{"openapi":"DELETE /quickbooks-desktop/purchase-orders/{id}","title":"Delete a purchase order","href":"/api-ref/qbd/purchase-orders/delete"}]},{"group":"Receive-Payments","pages":[{"title":"The Receive-Payment object","href":"/api-ref/qbd/receive-payments/object"},{"openapi":"POST /quickbooks-desktop/receive-payments","title":"Create a receive-payment","href":"/api-ref/qbd/receive-payments/create"},{"openapi":"POST /quickbooks-desktop/receive-payments/{id}","title":"Update a receive-payment","href":"/api-ref/qbd/receive-payments/update"},{"openapi":"GET /quickbooks-desktop/receive-payments/{id}","title":"Retrieve a receive-payment","href":"/api-ref/qbd/receive-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/receive-payments","title":"List all receive-payments","href":"/api-ref/qbd/receive-payments/list"},{"openapi":"DELETE /quickbooks-desktop/receive-payments/{id}","title":"Delete a receive-payment","href":"/api-ref/qbd/receive-payments/delete"}]},{"group":"Sales Orders","pages":[{"title":"The Sales Order object","href":"/api-ref/qbd/sales-orders/object"},{"openapi":"POST /quickbooks-desktop/sales-orders","title":"Create a sales order","href":"/api-ref/qbd/sales-orders/create"},{"openapi":"POST /quickbooks-desktop/sales-orders/{id}","title":"Update a sales order","href":"/api-ref/qbd/sales-orders/update"},{"openapi":"GET /quickbooks-desktop/sales-orders/{id}","title":"Retrieve a sales order","href":"/api-ref/qbd/sales-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-orders","title":"List all sales orders","href":"/api-ref/qbd/sales-orders/list"},{"openapi":"DELETE /quickbooks-desktop/sales-orders/{id}","title":"Delete a sales order","href":"/api-ref/qbd/sales-orders/delete"}]},{"group":"Sales Receipts","pages":[{"title":"The Sales Receipt object","href":"/api-ref/qbd/sales-receipts/object"},{"openapi":"POST /quickbooks-desktop/sales-receipts","title":"Create a sales receipt","href":"/api-ref/qbd/sales-receipts/create"},{"openapi":"POST /quickbooks-desktop/sales-receipts/{id}","title":"Update a sales receipt","href":"/api-ref/qbd/sales-receipts/update"},{"openapi":"GET /quickbooks-desktop/sales-receipts/{id}","title":"Retrieve a sales receipt","href":"/api-ref/qbd/sales-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-receipts","title":"List all sales receipts","href":"/api-ref/qbd/sales-receipts/list"},{"openapi":"POST /quickbooks-desktop/sales-receipts/{id}/void","title":"Void a sales receipt","href":"/api-ref/qbd/sales-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/sales-receipts/{id}","title":"Delete a sales receipt","href":"/api-ref/qbd/sales-receipts/delete"}]},{"group":"Sales-Tax Payment Checks","pages":[{"title":"The Sales-Tax Payment Check object","href":"/api-ref/qbd/sales-tax-payment-checks/object"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks","title":"Create a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/create"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks/{id}","title":"Update a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/update"},{"openapi":"GET /quickbooks-desktop/sales-tax-payment-checks/{id}","title":"Retrieve a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-tax-payment-checks","title":"List all sales-tax payment checks","href":"/api-ref/qbd/sales-tax-payment-checks/list"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks/{id}/void","title":"Void a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/void"},{"openapi":"DELETE /quickbooks-desktop/sales-tax-payment-checks/{id}","title":"Delete a sales-tax payment check","href":"/api-ref/qbd/sales-tax-payment-checks/delete"}]},{"group":"Time Tracking Activities","pages":[{"title":"The Time Tracking Activity object","href":"/api-ref/qbd/time-tracking-activities/object"},{"openapi":"POST /quickbooks-desktop/time-tracking-activities","title":"Create a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/create"},{"openapi":"POST /quickbooks-desktop/time-tracking-activities/{id}","title":"Update a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/update"},{"openapi":"GET /quickbooks-desktop/time-tracking-activities/{id}","title":"Retrieve a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/retrieve"},{"openapi":"GET /quickbooks-desktop/time-tracking-activities","title":"List all time tracking activities","href":"/api-ref/qbd/time-tracking-activities/list"},{"openapi":"DELETE /quickbooks-desktop/time-tracking-activities/{id}","title":"Delete a time tracking activity","href":"/api-ref/qbd/time-tracking-activities/delete"}]},{"group":"Transfers","pages":[{"title":"The Transfer object","href":"/api-ref/qbd/transfers/object"},{"openapi":"POST /quickbooks-desktop/transfers","title":"Create a transfer","href":"/api-ref/qbd/transfers/create"},{"openapi":"POST /quickbooks-desktop/transfers/{id}","title":"Update a transfer","href":"/api-ref/qbd/transfers/update"},{"openapi":"GET /quickbooks-desktop/transfers/{id}","title":"Retrieve a transfer","href":"/api-ref/qbd/transfers/retrieve"},{"openapi":"GET /quickbooks-desktop/transfers","title":"List all transfers","href":"/api-ref/qbd/transfers/list"}]},{"group":"Vendor Credits","pages":[{"title":"The Vendor Credit object","href":"/api-ref/qbd/vendor-credits/object"},{"openapi":"POST /quickbooks-desktop/vendor-credits","title":"Create a vendor credit","href":"/api-ref/qbd/vendor-credits/create"},{"openapi":"POST /quickbooks-desktop/vendor-credits/{id}","title":"Update a vendor credit","href":"/api-ref/qbd/vendor-credits/update"},{"openapi":"GET /quickbooks-desktop/vendor-credits/{id}","title":"Retrieve a vendor credit","href":"/api-ref/qbd/vendor-credits/retrieve"},{"openapi":"GET /quickbooks-desktop/vendor-credits","title":"List all vendor credits","href":"/api-ref/qbd/vendor-credits/list"},{"openapi":"POST /quickbooks-desktop/vendor-credits/{id}/void","title":"Void a vendor credit","href":"/api-ref/qbd/vendor-credits/void"},{"openapi":"DELETE /quickbooks-desktop/vendor-credits/{id}","title":"Delete a vendor credit","href":"/api-ref/qbd/vendor-credits/delete"}]}]},{"group":"General","pages":[{"group":"Account Tax Lines","pages":[{"title":"The Account Tax Line object","href":"/api-ref/qbd/account-tax-lines/object"},{"openapi":"GET /quickbooks-desktop/account-tax-lines","title":"List all account tax lines","href":"/api-ref/qbd/account-tax-lines/list"}]},{"group":"Accounts","pages":[{"title":"The Account object","href":"/api-ref/qbd/accounts/object"},{"openapi":"POST /quickbooks-desktop/accounts","title":"Create an account","href":"/api-ref/qbd/accounts/create"},{"openapi":"POST /quickbooks-desktop/accounts/{id}","title":"Update an account","href":"/api-ref/qbd/accounts/update"},{"openapi":"GET /quickbooks-desktop/accounts/{id}","title":"Retrieve an account","href":"/api-ref/qbd/accounts/retrieve"},{"openapi":"GET /quickbooks-desktop/accounts","title":"List all accounts","href":"/api-ref/qbd/accounts/list"}]},{"group":"Classes","pages":[{"title":"The Class object","href":"/api-ref/qbd/classes/object"},{"openapi":"POST /quickbooks-desktop/classes","title":"Create a class","href":"/api-ref/qbd/classes/create"},{"openapi":"POST /quickbooks-desktop/classes/{id}","title":"Update a class","href":"/api-ref/qbd/classes/update"},{"openapi":"GET /quickbooks-desktop/classes/{id}","title":"Retrieve a class","href":"/api-ref/qbd/classes/retrieve"},{"openapi":"GET /quickbooks-desktop/classes","title":"List all classes","href":"/api-ref/qbd/classes/list"}]},{"group":"Company","pages":[{"title":"The Company object","href":"/api-ref/qbd/company/object"},{"openapi":"GET /quickbooks-desktop/company","title":"Retrieve company file info","href":"/api-ref/qbd/company/retrieve"}]},{"group":"Currencies","pages":[{"title":"The Currency object","href":"/api-ref/qbd/currencies/object"},{"openapi":"POST /quickbooks-desktop/currencies","title":"Create a currency","href":"/api-ref/qbd/currencies/create"},{"openapi":"POST /quickbooks-desktop/currencies/{id}","title":"Update a currency","href":"/api-ref/qbd/currencies/update"},{"openapi":"GET /quickbooks-desktop/currencies/{id}","title":"Retrieve a currency","href":"/api-ref/qbd/currencies/retrieve"},{"openapi":"GET /quickbooks-desktop/currencies","title":"List all currencies","href":"/api-ref/qbd/currencies/list"}]},{"group":"Customer Types","pages":[{"title":"The Customer Type object","href":"/api-ref/qbd/customer-types/object"},{"openapi":"POST /quickbooks-desktop/customer-types","title":"Create a customer type","href":"/api-ref/qbd/customer-types/create"},{"openapi":"GET /quickbooks-desktop/customer-types/{id}","title":"Retrieve a customer type","href":"/api-ref/qbd/customer-types/retrieve"},{"openapi":"GET /quickbooks-desktop/customer-types","title":"List all customer types","href":"/api-ref/qbd/customer-types/list"}]},{"group":"Customers / Jobs","pages":[{"title":"The Customer object","href":"/api-ref/qbd/customers/object"},{"openapi":"POST /quickbooks-desktop/customers","title":"Create a customer","href":"/api-ref/qbd/customers/create"},{"openapi":"POST /quickbooks-desktop/customers/{id}","title":"Update a customer","href":"/api-ref/qbd/customers/update"},{"openapi":"GET /quickbooks-desktop/customers/{id}","title":"Retrieve a customer","href":"/api-ref/qbd/customers/retrieve"},{"openapi":"GET /quickbooks-desktop/customers","title":"List all customers","href":"/api-ref/qbd/customers/list"}]},{"group":"Date-Driven Terms","pages":[{"title":"The Date-Driven Term object","href":"/api-ref/qbd/date-driven-terms/object"},{"openapi":"POST /quickbooks-desktop/date-driven-terms","title":"Create a date-driven term","href":"/api-ref/qbd/date-driven-terms/create"},{"openapi":"GET /quickbooks-desktop/date-driven-terms/{id}","title":"Retrieve a date-driven term","href":"/api-ref/qbd/date-driven-terms/retrieve"},{"openapi":"GET /quickbooks-desktop/date-driven-terms","title":"List all date-driven terms","href":"/api-ref/qbd/date-driven-terms/list"}]},{"group":"Deleted List-Objects","pages":[{"title":"The Deleted List-Object object","href":"/api-ref/qbd/deleted-list-objects/object"},{"openapi":"GET /quickbooks-desktop/deleted-list-objects","title":"List all deleted list-objects","href":"/api-ref/qbd/deleted-list-objects/list"}]},{"group":"Employees","pages":[{"title":"The Employee object","href":"/api-ref/qbd/employees/object"},{"openapi":"POST /quickbooks-desktop/employees","title":"Create an employee","href":"/api-ref/qbd/employees/create"},{"openapi":"POST /quickbooks-desktop/employees/{id}","title":"Update an employee","href":"/api-ref/qbd/employees/update"},{"openapi":"GET /quickbooks-desktop/employees/{id}","title":"Retrieve an employee","href":"/api-ref/qbd/employees/retrieve"},{"openapi":"GET /quickbooks-desktop/employees","title":"List all employees","href":"/api-ref/qbd/employees/list"}]},{"group":"Inventory Sites","pages":[{"title":"The Inventory Site object","href":"/api-ref/qbd/inventory-sites/object"},{"openapi":"POST /quickbooks-desktop/inventory-sites","title":"Create an inventory site","href":"/api-ref/qbd/inventory-sites/create"},{"openapi":"POST /quickbooks-desktop/inventory-sites/{id}","title":"Update an inventory site","href":"/api-ref/qbd/inventory-sites/update"},{"openapi":"GET /quickbooks-desktop/inventory-sites/{id}","title":"Retrieve an inventory site","href":"/api-ref/qbd/inventory-sites/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-sites","title":"List all inventory sites","href":"/api-ref/qbd/inventory-sites/list"}]},{"group":"Other-Names","pages":[{"title":"The Other-Name object","href":"/api-ref/qbd/other-names/object"},{"openapi":"POST /quickbooks-desktop/other-names","title":"Create an other-name","href":"/api-ref/qbd/other-names/create"},{"openapi":"POST /quickbooks-desktop/other-names/{id}","title":"Update an other-name","href":"/api-ref/qbd/other-names/update"},{"openapi":"GET /quickbooks-desktop/other-names/{id}","title":"Retrieve an other-name","href":"/api-ref/qbd/other-names/retrieve"},{"openapi":"GET /quickbooks-desktop/other-names","title":"List all other-names","href":"/api-ref/qbd/other-names/list"}]},{"group":"Payment Methods","pages":[{"title":"The Payment Method object","href":"/api-ref/qbd/payment-methods/object"},{"openapi":"POST /quickbooks-desktop/payment-methods","title":"Create a payment method","href":"/api-ref/qbd/payment-methods/create"},{"openapi":"GET /quickbooks-desktop/payment-methods/{id}","title":"Retrieve a payment method","href":"/api-ref/qbd/payment-methods/retrieve"},{"openapi":"GET /quickbooks-desktop/payment-methods","title":"List all payment methods","href":"/api-ref/qbd/payment-methods/list"}]},{"group":"Payroll Wage Items","pages":[{"title":"The Payroll Wage Item object","href":"/api-ref/qbd/payroll-wage-items/object"},{"openapi":"POST /quickbooks-desktop/payroll-wage-items","title":"Create a payroll wage item","href":"/api-ref/qbd/payroll-wage-items/create"},{"openapi":"GET /quickbooks-desktop/payroll-wage-items/{id}","title":"Retrieve a payroll wage item","href":"/api-ref/qbd/payroll-wage-items/retrieve"},{"openapi":"GET /quickbooks-desktop/payroll-wage-items","title":"List all payroll wage items","href":"/api-ref/qbd/payroll-wage-items/list"}]},{"group":"Preferences","pages":[{"title":"The Preferences object","href":"/api-ref/qbd/preferences/object"},{"openapi":"GET /quickbooks-desktop/preferences","title":"Retrieve company file preferences","href":"/api-ref/qbd/preferences/retrieve"}]},{"group":"Price Levels","pages":[{"title":"The Price Level object","href":"/api-ref/qbd/price-levels/object"},{"openapi":"POST /quickbooks-desktop/price-levels","title":"Create a price level","href":"/api-ref/qbd/price-levels/create"},{"openapi":"POST /quickbooks-desktop/price-levels/{id}","title":"Update a price level","href":"/api-ref/qbd/price-levels/update"},{"openapi":"GET /quickbooks-desktop/price-levels/{id}","title":"Retrieve a price level","href":"/api-ref/qbd/price-levels/retrieve"},{"openapi":"GET /quickbooks-desktop/price-levels","title":"List all price levels","href":"/api-ref/qbd/price-levels/list"}]},{"group":"Reports","pages":[{"title":"The Report object","href":"/api-ref/qbd/reports/object"},{"openapi":"GET /quickbooks-desktop/reports/general-summary","title":"Retrieve a general summary report","href":"/api-ref/qbd/reports/general-summary"},{"openapi":"GET /quickbooks-desktop/reports/general-detail","title":"Retrieve a general detail report","href":"/api-ref/qbd/reports/general-detail"},{"openapi":"GET /quickbooks-desktop/reports/aging","title":"Retrieve an aging report","href":"/api-ref/qbd/reports/aging"},{"openapi":"GET /quickbooks-desktop/reports/budget-summary","title":"Retrieve a budget summary report","href":"/api-ref/qbd/reports/budget-summary"},{"openapi":"GET /quickbooks-desktop/reports/job","title":"Retrieve a job report","href":"/api-ref/qbd/reports/job"},{"openapi":"GET /quickbooks-desktop/reports/time","title":"Retrieve a time report","href":"/api-ref/qbd/reports/time"},{"openapi":"GET /quickbooks-desktop/reports/custom-detail","title":"Retrieve a custom detail report","href":"/api-ref/qbd/reports/custom-detail"},{"openapi":"GET /quickbooks-desktop/reports/custom-summary","title":"Retrieve a custom summary report","href":"/api-ref/qbd/reports/custom-summary"},{"openapi":"GET /quickbooks-desktop/reports/payroll-detail","title":"Retrieve a payroll detail report","href":"/api-ref/qbd/reports/payroll-detail"},{"openapi":"GET /quickbooks-desktop/reports/payroll-summary","title":"Retrieve a payroll summary report","href":"/api-ref/qbd/reports/payroll-summary"}]},{"group":"Sales Representatives","pages":[{"title":"The Sales Representative object","href":"/api-ref/qbd/sales-representatives/object"},{"openapi":"POST /quickbooks-desktop/sales-representatives","title":"Create a sales representative","href":"/api-ref/qbd/sales-representatives/create"},{"openapi":"POST /quickbooks-desktop/sales-representatives/{id}","title":"Update a sales representative","href":"/api-ref/qbd/sales-representatives/update"},{"openapi":"GET /quickbooks-desktop/sales-representatives/{id}","title":"Retrieve a sales representative","href":"/api-ref/qbd/sales-representatives/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-representatives","title":"List all sales representatives","href":"/api-ref/qbd/sales-representatives/list"}]},{"group":"Sales-Tax Codes","pages":[{"title":"The Sales-Tax Code object","href":"/api-ref/qbd/sales-tax-codes/object"},{"openapi":"POST /quickbooks-desktop/sales-tax-codes","title":"Create a sales-tax code","href":"/api-ref/qbd/sales-tax-codes/create"},{"openapi":"POST /quickbooks-desktop/sales-tax-codes/{id}","title":"Update a sales-tax code","href":"/api-ref/qbd/sales-tax-codes/update"},{"openapi":"GET /quickbooks-desktop/sales-tax-codes/{id}","title":"Retrieve a sales-tax code","href":"/api-ref/qbd/sales-tax-codes/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-tax-codes","title":"List all sales-tax codes","href":"/api-ref/qbd/sales-tax-codes/list"}]},{"group":"Shipping Methods","pages":[{"title":"The Shipping Method object","href":"/api-ref/qbd/shipping-methods/object"},{"openapi":"POST /quickbooks-desktop/shipping-methods","title":"Create a shipping method","href":"/api-ref/qbd/shipping-methods/create"},{"openapi":"GET /quickbooks-desktop/shipping-methods/{id}","title":"Retrieve a shipping method","href":"/api-ref/qbd/shipping-methods/retrieve"},{"openapi":"GET /quickbooks-desktop/shipping-methods","title":"List all shipping methods","href":"/api-ref/qbd/shipping-methods/list"}]},{"group":"Standard Terms","pages":[{"title":"The Standard Term object","href":"/api-ref/qbd/standard-terms/object"},{"openapi":"POST /quickbooks-desktop/standard-terms","title":"Create a standard term","href":"/api-ref/qbd/standard-terms/create"},{"openapi":"GET /quickbooks-desktop/standard-terms/{id}","title":"Retrieve a standard term","href":"/api-ref/qbd/standard-terms/retrieve"},{"openapi":"GET /quickbooks-desktop/standard-terms","title":"List all standard terms","href":"/api-ref/qbd/standard-terms/list"}]},{"group":"Templates","pages":[{"title":"The Template object","href":"/api-ref/qbd/templates/object"},{"openapi":"GET /quickbooks-desktop/templates","title":"List all templates","href":"/api-ref/qbd/templates/list"}]},{"group":"Unit-Of-Measure Sets","pages":[{"title":"The Unit-Of-Measure Set object","href":"/api-ref/qbd/unit-of-measure-sets/object"},{"openapi":"POST /quickbooks-desktop/unit-of-measure-sets","title":"Create an unit-of-measure set","href":"/api-ref/qbd/unit-of-measure-sets/create"},{"openapi":"GET /quickbooks-desktop/unit-of-measure-sets/{id}","title":"Retrieve an unit-of-measure set","href":"/api-ref/qbd/unit-of-measure-sets/retrieve"},{"openapi":"GET /quickbooks-desktop/unit-of-measure-sets","title":"List all unit-of-measure sets","href":"/api-ref/qbd/unit-of-measure-sets/list"}]},{"group":"Vendors","pages":[{"title":"The Vendor object","href":"/api-ref/qbd/vendors/object"},{"openapi":"POST /quickbooks-desktop/vendors","title":"Create a vendor","href":"/api-ref/qbd/vendors/create"},{"openapi":"POST /quickbooks-desktop/vendors/{id}","title":"Update a vendor","href":"/api-ref/qbd/vendors/update"},{"openapi":"GET /quickbooks-desktop/vendors/{id}","title":"Retrieve a vendor","href":"/api-ref/qbd/vendors/retrieve"},{"openapi":"GET /quickbooks-desktop/vendors","title":"List all vendors","href":"/api-ref/qbd/vendors/list"}]}]},{"group":"Items","pages":[{"group":"Discount Items","pages":[{"title":"The Discount Item object","href":"/api-ref/qbd/discount-items/object"},{"openapi":"POST /quickbooks-desktop/discount-items","title":"Create a discount item","href":"/api-ref/qbd/discount-items/create"},{"openapi":"POST /quickbooks-desktop/discount-items/{id}","title":"Update a discount item","href":"/api-ref/qbd/discount-items/update"},{"openapi":"GET /quickbooks-desktop/discount-items/{id}","title":"Retrieve a discount item","href":"/api-ref/qbd/discount-items/retrieve"},{"openapi":"GET /quickbooks-desktop/discount-items","title":"List all discount items","href":"/api-ref/qbd/discount-items/list"}]},{"group":"Inventory Assembly Items","pages":[{"title":"The Inventory Assembly Item object","href":"/api-ref/qbd/inventory-assembly-items/object"},{"openapi":"POST /quickbooks-desktop/inventory-assembly-items","title":"Create an inventory assembly item","href":"/api-ref/qbd/inventory-assembly-items/create"},{"openapi":"POST /quickbooks-desktop/inventory-assembly-items/{id}","title":"Update an inventory assembly item","href":"/api-ref/qbd/inventory-assembly-items/update"},{"openapi":"GET /quickbooks-desktop/inventory-assembly-items/{id}","title":"Retrieve an inventory assembly item","href":"/api-ref/qbd/inventory-assembly-items/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-assembly-items","title":"List all inventory assembly items","href":"/api-ref/qbd/inventory-assembly-items/list"}]},{"group":"Inventory Items","pages":[{"title":"The Inventory Item object","href":"/api-ref/qbd/inventory-items/object"},{"openapi":"POST /quickbooks-desktop/inventory-items","title":"Create an inventory item","href":"/api-ref/qbd/inventory-items/create"},{"openapi":"POST /quickbooks-desktop/inventory-items/{id}","title":"Update an inventory item","href":"/api-ref/qbd/inventory-items/update"},{"openapi":"GET /quickbooks-desktop/inventory-items/{id}","title":"Retrieve an inventory item","href":"/api-ref/qbd/inventory-items/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-items","title":"List all inventory items","href":"/api-ref/qbd/inventory-items/list"}]},{"group":"Item Groups","pages":[{"title":"The Item Group object","href":"/api-ref/qbd/item-groups/object"},{"openapi":"POST /quickbooks-desktop/item-groups","title":"Create an item group","href":"/api-ref/qbd/item-groups/create"},{"openapi":"POST /quickbooks-desktop/item-groups/{id}","title":"Update an item group","href":"/api-ref/qbd/item-groups/update"},{"openapi":"GET /quickbooks-desktop/item-groups/{id}","title":"Retrieve an item group","href":"/api-ref/qbd/item-groups/retrieve"},{"openapi":"GET /quickbooks-desktop/item-groups","title":"List all item groups","href":"/api-ref/qbd/item-groups/list"}]},{"group":"Item Sites","pages":[{"title":"The Item Site object","href":"/api-ref/qbd/item-sites/object"},{"openapi":"GET /quickbooks-desktop/item-sites/{id}","title":"Retrieve an item site","href":"/api-ref/qbd/item-sites/retrieve"},{"openapi":"GET /quickbooks-desktop/item-sites","title":"List all item sites","href":"/api-ref/qbd/item-sites/list"}]},{"group":"Non-Inventory Items","pages":[{"title":"The Non-Inventory Item object","href":"/api-ref/qbd/non-inventory-items/object"},{"openapi":"POST /quickbooks-desktop/non-inventory-items","title":"Create a non-inventory item","href":"/api-ref/qbd/non-inventory-items/create"},{"openapi":"POST /quickbooks-desktop/non-inventory-items/{id}","title":"Update a non-inventory item","href":"/api-ref/qbd/non-inventory-items/update"},{"openapi":"GET /quickbooks-desktop/non-inventory-items/{id}","title":"Retrieve a non-inventory item","href":"/api-ref/qbd/non-inventory-items/retrieve"},{"openapi":"GET /quickbooks-desktop/non-inventory-items","title":"List all non-inventory items","href":"/api-ref/qbd/non-inventory-items/list"}]},{"group":"Other Charge Items","pages":[{"title":"The Other Charge Item object","href":"/api-ref/qbd/other-charge-items/object"},{"openapi":"POST /quickbooks-desktop/other-charge-items","title":"Create an other charge item","href":"/api-ref/qbd/other-charge-items/create"},{"openapi":"POST /quickbooks-desktop/other-charge-items/{id}","title":"Update an other charge item","href":"/api-ref/qbd/other-charge-items/update"},{"openapi":"GET /quickbooks-desktop/other-charge-items/{id}","title":"Retrieve an other charge item","href":"/api-ref/qbd/other-charge-items/retrieve"},{"openapi":"GET /quickbooks-desktop/other-charge-items","title":"List all other charge items","href":"/api-ref/qbd/other-charge-items/list"}]},{"group":"Sales-Tax Group Items","pages":[{"title":"The Sales-Tax Group Item object","href":"/api-ref/qbd/sales-tax-group-items/object"},{"openapi":"POST /quickbooks-desktop/sales-tax-group-items","title":"Create a sales-tax group item","href":"/api-ref/qbd/sales-tax-group-items/create"},{"openapi":"POST /quickbooks-desktop/sales-tax-group-items/{id}","title":"Update a sales-tax group item","href":"/api-ref/qbd/sales-tax-group-items/update"},{"openapi":"GET /quickbooks-desktop/sales-tax-group-items/{id}","title":"Retrieve a sales-tax group item","href":"/api-ref/qbd/sales-tax-group-items/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-tax-group-items","title":"List all sales-tax group items","href":"/api-ref/qbd/sales-tax-group-items/list"}]},{"group":"Sales-Tax Items","pages":[{"title":"The Sales-Tax Item object","href":"/api-ref/qbd/sales-tax-items/object"},{"openapi":"POST /quickbooks-desktop/sales-tax-items","title":"Create a sales-tax item","href":"/api-ref/qbd/sales-tax-items/create"},{"openapi":"POST /quickbooks-desktop/sales-tax-items/{id}","title":"Update a sales-tax item","href":"/api-ref/qbd/sales-tax-items/update"},{"openapi":"GET /quickbooks-desktop/sales-tax-items/{id}","title":"Retrieve a sales-tax item","href":"/api-ref/qbd/sales-tax-items/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-tax-items","title":"List all sales-tax items","href":"/api-ref/qbd/sales-tax-items/list"}]},{"group":"Service Items","pages":[{"title":"The Service Item object","href":"/api-ref/qbd/service-items/object"},{"openapi":"POST /quickbooks-desktop/service-items","title":"Create a service item","href":"/api-ref/qbd/service-items/create"},{"openapi":"POST /quickbooks-desktop/service-items/{id}","title":"Update a service item","href":"/api-ref/qbd/service-items/update"},{"openapi":"GET /quickbooks-desktop/service-items/{id}","title":"Retrieve a service item","href":"/api-ref/qbd/service-items/retrieve"},{"openapi":"GET /quickbooks-desktop/service-items","title":"List all service items","href":"/api-ref/qbd/service-items/list"}]},{"group":"Subtotal Items","pages":[{"title":"The Subtotal Item object","href":"/api-ref/qbd/subtotal-items/object"},{"openapi":"POST /quickbooks-desktop/subtotal-items","title":"Create a subtotal item","href":"/api-ref/qbd/subtotal-items/create"},{"openapi":"POST /quickbooks-desktop/subtotal-items/{id}","title":"Update a subtotal item","href":"/api-ref/qbd/subtotal-items/update"},{"openapi":"GET /quickbooks-desktop/subtotal-items/{id}","title":"Retrieve a subtotal item","href":"/api-ref/qbd/subtotal-items/retrieve"},{"openapi":"GET /quickbooks-desktop/subtotal-items","title":"List all subtotal items","href":"/api-ref/qbd/subtotal-items/list"}]}]},{"group":"More","pages":[{"title":"Missing QBD types","href":"/api-ref/missing-qbd-types"}]}]},{"tab":"Help","pages":[{"title":"Help","href":"/help/faq/end-user-faq"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/overview"}]}]},"basePath":"","title":"List bills and credits available to pay for a vendor - Conductor Docs","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}